function [] = saveOptimumTables(~, ~)
%SAVERFC Summary of this function goes here
%   Detailed explanation goes here

global artoaWorkspace artoaConfig;

%% Get offsets
unfilteredA = artoa.data.getMember(artoaWorkspace, {'editOffsets', 'unfilteredA'}, false);
unfilteredB = artoa.data.getMember(artoaWorkspace, {'editOffsets', 'unfilteredB'}, false);
A = artoa.data.getMember(artoaWorkspace, {'editOffsets', 'A'}, false);
B = artoa.data.getMember(artoaWorkspace, {'editOffsets', 'B'}, false);  % retains columns corresponding to fitted values
X = artoa.data.getMember(artoaWorkspace, {'editOffsets', 'X'}, false);  % fitted values
D = artoa.data.getMember(artoaWorkspace, {'editOffsets', 'D'}, false);
offsets = artoa.data.getMember(artoaWorkspace, {'editOffsets', 'offsets'}, false);  % the current offset table
soundspeed = artoa.data.getMember(artoaWorkspace, {'editOffsets', 'soundspeed'}, false);

if islogical(unfilteredA) || islogical(unfilteredB) ...
        || islogical(A) || islogical(B) || islogical(X) || islogical(D) ...
        || islogical(offsets) || islogical(soundspeed)
    errordlg('At least one of the matrices to save is not available. Please recalculate!', 'Matrices not found');
    return;
end

%% Get required variables
folder = artoa.data.getMember(artoaConfig, {'directory', 'optimumtables'}, pwd());
filter = artoa.data.getMember(artoaConfig, {'filemask', 'optimumtables'}, '*.mat');

%% Ask for filename
[filename, pathname] = uiputfile(fullfile(folder, filter));

if filename == 0
    return;
end

filepath = fullfile(pathname, filename);

save(filepath, 'unfilteredA', 'unfilteredB', 'A', 'B', 'X', 'D', 'offsets', 'soundspeed');


end

